# -------------------------------------------------------------------
# Constants
# -------------------------------------------------------------------
MOON_GRAVITY = 1.62
EARTH_GRAVITY = 9.80665

# -------------------------------------------------------------------
# Global variables
# -------------------------------------------------------------------
mass = 0.0
weightOnEarth = 0.0
weightOnTheMoon = 0.0
layout = ""

# -------------------------------------------------------------------
# Subprograms
# -------------------------------------------------------------------
# weight = mass × gravitational field strength
def calculateWeight(pMass, pGravity):
  return pMass * pGravity
  
# -------------------------------------------------------------------
# Main program
# -------------------------------------------------------------------

# ask user to input mass
print("Welcome to the Earth and Moon weight calculator")
print("=" * 47)
mass = float(input("Enter the mass of an object (in Kg)"))

# Calcuate weight on earth & moon
weightOnEarth = calculateWeight(mass, EARTH_GRAVITY)
weightOnTheMoon = calculateWeight(mass, MOON_GRAVITY)

# Display results
layout = "The weight on {} is {:.2f} N (newtons)"
print(layout.format("Earth", weightOnEarth))
print(layout.format("The Moon", weightOnTheMoon))

# Challenges:
# Answer each of the questions below next to where it says A)
# e.g. Q) Write the symbol used for comments:       A) #

# Q1) Write the identifier of a constant:           A)
# Q2) Write the name of a user defined function:    A)
# Q3) What is the data type of the layout variable: A)
# Q4) Name one parameter used in the code:          A)
# Q5) An arithmetic operator used in the code:      A)